package ms.warpzone.warppay.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;

import java.math.BigDecimal;

import ms.warpzone.warppay.MainActivity;
import ms.warpzone.warppay.R;
import ms.warpzone.warppay.manager.MainManager;
import ms.warpzone.warppay.manager.UiManager;

public class ChargeDialog extends Dialog implements
        android.view.View.OnClickListener {

    public MainActivity c;
    public Dialog d;
    public Button btnFiveEuro, btnTenEuro, btnTwentyEuro,btnOther;

    public ChargeDialog() {
        super(MainManager.getInstance().getMainActivity());
        this.c = MainManager.getInstance().getMainActivity();
 ;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.charge_dialog);

        btnFiveEuro = (Button) findViewById(R.id.btnFiveEuro);
        btnTenEuro = (Button) findViewById(R.id.btnTenEuro);
        btnTwentyEuro = (Button) findViewById(R.id.btnTwentyEuro);
        btnOther = (Button) findViewById(R.id.btnOther);

        btnFiveEuro.setOnClickListener(this);
        btnTenEuro.setOnClickListener(this);
        btnTwentyEuro.setOnClickListener(this);
        btnOther.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        BigDecimal amount = new BigDecimal(0.0);
        switch (v.getId()) {
            case R.id.btnFiveEuro:
                amount = new BigDecimal(5.0);
                break;
            case R.id.btnTenEuro:
                amount = new BigDecimal(10.0);
                break;
            case R.id.btnTwentyEuro:
                amount = new BigDecimal(20.0);
                break;
            case R.id.btnOther:
                ChargeCustomDialog cd = new ChargeCustomDialog(this,this.c);
                UiManager.getInstance().setChargeCustomDialog(cd);
                cd.show();
                break;
            default:
                break;
        }
        if(amount.compareTo(new BigDecimal(0.0)) >  0)
            MainManager.getInstance().chargeAmount(amount);
        dismiss();
    }
}
