package ms.warpzone.warppay.dialogs;

import android.app.Dialog;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.VideoView;

import java.util.ArrayList;

import ms.warpzone.warppay.MainActivity;
import ms.warpzone.warppay.R;
import ms.warpzone.warppay.data.models.local.Product;
import ms.warpzone.warppay.data.models.rest.RestProduct;
import ms.warpzone.warppay.manager.MainManager;
import retrofit.Callback;
import retrofit.Response;
import retrofit.Retrofit;

public class NyanCatDialog extends Dialog implements View.OnClickListener{

    public Dialog d;

    private VideoView vvNyanCat;

    public NyanCatDialog() {
        super(MainManager.getInstance().getMainActivity());

    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.nyan_cat_dialog);

        this.vvNyanCat = (VideoView) findViewById(R.id.vvNyanCat);
       // String uri = "android.resource://" + MainManager.getInstance().getMainActivity().getPackageName() + "/" + R.raw.nyancat;
        //this.vvNyanCat.setVideoURI(Uri.parse(uri));
        this.vvNyanCat.setOnClickListener(this);
        this.vvNyanCat.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
            public void onCompletion(MediaPlayer mp) {
                vvNyanCat.start();
            }
        });
        this.vvNyanCat.start();
    }

    @Override
    public void onClick(View v) {
        this.vvNyanCat.stopPlayback();
        dismiss();
    }

}
