package ms.warpzone.warppay.data.models.rest;

import java.math.BigDecimal;

public class RestTransaction {

    private int tid;
    private int trans_type;
    private RestProduct product;
    private BigDecimal amount;
    private boolean cash_paid;

    public RestTransaction() {
        super();
    }

    public RestTransaction(int tid, int trans_type, RestProduct product, BigDecimal amount, boolean cash_paid) {
        this.tid = tid;
        this.trans_type = trans_type;
        this.product = product;
        this.amount = amount;
        this.cash_paid = cash_paid;
    }

    public int getTid() {
        return tid;
    }

    public int getTrans_type() {
        return trans_type;
    }

    public void setTrans_type(int trans_type) {
        this.trans_type = trans_type;
    }

    public RestProduct getProduct() {
        return product;
    }

    public void setProduct(RestProduct product) {
        this.product = product;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public boolean isCash_paid() {
        return cash_paid;
    }

    public void setCash_paid(boolean cash_paid) {
        this.cash_paid = cash_paid;
    }
}
